# cli programs should be available on servers and desktop
{ lib, pkgs, ... }:

{
  programs = {
    mosh.enable = true;
    neovim = {
      enable = true;
      viAlias = true;
      vimAlias = true;
    };
    ssh.startAgent = true;
    starship.enable = true;
    zsh = {
      enable = true;
      autosuggestions.enable = true;
      shellAliases = {
        nixedit = "sudo micro /etc/nixos/configuration.nix";
        nixupdate = "sudo nixos-rebuild switch";
        nixclean = "sudo nix-env --delete-generations old --profile /nix/var/nix/profiles/system && sudo /nix/var/nix/profiles/system/bin/switch-to-configuration switch && sudo nix-store --gc";
      };
      ohMyZsh = {
        enable = true;
        plugins = [ "git" ];
        theme = "robbyrussell";
      };
    };
  };

  # List packages installed in system profile. To search, run:
  # $ nix search wget
  environment.systemPackages = with pkgs; [
    bat
    bitwarden-cli
    coreutils
    curl
    dnsutils
    emacs-nox
    findutils
    gnugrep
    gnupg
    imagemagick
    jq
    git
    glances
    htop
    mc
    micro
    mosh
    neofetch
    pandoc
    starship
    tmux
    tree
    unzip
    whois
    wget
    zola
    zsh-autosuggestions
  ];
}
